<?php
// Block direct access
if (!defined('ABSPATH')) {
    exit();
}
/**
 * @Packge     : Daltech
 * @Version    : 1.0
 * @Author     : Daltech
 * @Author URI : https://themeforest.net/user/ModinaTheme/portfolio
 *
 */

// enqueue css
function daltech_common_custom_css()
{
    wp_enqueue_style('daltech-color-schemes', get_template_directory_uri() . '/assets/css/color.schemes.css');

    $CustomCssOpt  = daltech_opt('daltech_css_editor');
    $preloader_display  =  daltech_opt('daltech_display_preloader');
    if ($CustomCssOpt) {
        $CustomCssOpt = $CustomCssOpt;
    } else {
        $CustomCssOpt = '';
    }

    $customcss = "";

    if (get_header_image()) {
        $daltech_header_bg =  get_header_image();
    } else {
        if (daltech_meta('page_breadcrumb_settings') == 'page' && is_page()) {
            if (!empty(daltech_meta('breadcumb_image'))) {
                $daltech_header_bg = daltech_meta('breadcumb_image');
            }
        }
    }

    if (!empty($daltech_header_bg)) {
        $customcss .= ".breadcrumb-area{
            background:url('{$daltech_header_bg}')!important;
            background-position: center center !important;
            background-size: cover !important;
        }";
    }
    if (!empty($preloader_display)) {
        $daltech_pre_img = daltech_opt('daltech_preloader_img', 'url');
        if (!empty(daltech_opt('daltech_preloader_img', 'url'))) {
            $customcss .= "
            .se-pre-con {
                position: fixed;
                left: 0px;
                top: 0px;
                width: 100%;
                height: 100%;
                z-index: 999999;
                background: url('{$daltech_pre_img}') center no-repeat #fff;
                text-align: center;
            }";
        }
    }

    // theme color
    $daltechthemecolor = daltech_opt('daltech_theme_color');
    $daltechthemecolor2 = daltech_opt('daltech_theme_color2');

    if (!empty($daltechthemecolor  && $daltechthemecolor2)) :
        list($r, $g, $b) = sscanf($daltechthemecolor, "#%02x%02x%02x");
        list($r2, $g2, $b2) = sscanf($daltechthemecolor2, "#%02x%02x%02x");

        $daltech_real_color = $r . ',' . $g . ',' . $b;
        $daltech_real_color2 = $r2 . ',' . $g2 . ',' . $b2;



        if (!empty($daltechthemecolor)) {
            $customcss .= ":root {
		  --color-primary: rgb({$daltech_real_color});
		}";
        }

    endif;

    // theme color for home1 Gradient color
    if (!empty($daltechthemecolor && $daltechthemecolor2)) {
        $customcss .= ":root {
          --color-primary: rgb({$daltech_real_color});
          --color-optional-secondary: rgb({$daltech_real_color2});
        }";
    }

    // theme body font
    $daltechthemebodyfont = daltech_opt('daltech_theme_body_typography', 'font-family');

    if (!empty($daltechthemebodyfont)) {
        $customcss .= ":root {
          --font-default: $daltechthemebodyfont ;
        }";
    }

    // theme title font
    $daltechthemetitlefont = daltech_opt('daltech_theme_title_typography', 'font-family');

    if (!empty($daltechthemetitlefont)) {
        $customcss .= ":root {
          --font-heading: $daltechthemetitlefont ;
        }";
    }

    if (!empty($CustomCssOpt)) {
        $customcss .= $CustomCssOpt;
    }

    wp_add_inline_style('daltech-color-schemes', $customcss);
}
add_action('wp_enqueue_scripts', 'daltech_common_custom_css', 100);
