<?php

/**
 * @Packge     : Daltech
 * @Version    : 1.0
 * @Author     : Daltech
 * @Author URI : https://themeforest.net/user/ModinaTheme/portfolio
 *
 */

// Block direct access
if (!defined('ABSPATH')) {
    exit;
}

/**
 * Enqueue scripts and styles.
 */
function daltech_essential_scripts()
{

    wp_enqueue_style('daltech-style', get_stylesheet_uri(), array(), wp_get_theme()->get('Version'));
    // google font
    wp_enqueue_style('daltech-fonts', daltech_google_fonts(), array(), null);
    // Bootstrap Min
    wp_enqueue_style('bootstrap', get_theme_file_uri('/assets/css/bootstrap.min.css'), array(), '5.3.2');
    // Font Awesome Five
    wp_enqueue_style('fontawesome', get_theme_file_uri('/assets/css/font-awesome.css'), array(), '5.14.0');
    // Animate
    wp_enqueue_style('daltech-animate', get_theme_file_uri('/assets/css/animate.css'), array(), '1.0');
    // Magnific Popup
    wp_enqueue_style('magnific-popup', get_theme_file_uri('/assets/css/magnific-popup.css'), array(), '1.0');
    // Slick
    wp_enqueue_style('slick', get_theme_file_uri('/assets/css/slick.css'), array(), '1.0');
    // meanmenu
    wp_enqueue_style('meanmenu', get_theme_file_uri('/assets/css/meanmenu.css'), array(), '2.0.7');
    // Unit test
    wp_enqueue_style('unit-test', get_theme_file_uri('/assets/css/unit-test.css'), array(), '1.0');
    // nice-select
    wp_enqueue_style('nice-select', get_theme_file_uri('/assets/css/nice-select.css'), array(), '1.0');
    // daltech main style
    wp_enqueue_style('daltech-main-style', get_theme_file_uri('/assets/css/main.css'), array(), wp_get_theme()->get('Version'));

    // Load Js

    // viewport//
    wp_enqueue_script('viewport', get_theme_file_uri('/assets/js/viewport.jquery.js'), array('jquery'), '1.0.0', true);
    // bootstrap.bundle//
    wp_enqueue_script('bootstrap', get_theme_file_uri('/assets/js/bootstrap.bundle.min.js'), array('jquery'), '5.3.2', true);
    // jquery.nice-select//
    wp_enqueue_script('nice-select', get_theme_file_uri('/assets/js/jquery.nice-select.min.js'), array('jquery'), '1.0.0', true);
    // Waypoints
    wp_enqueue_script('waypoints', get_theme_file_uri('/assets/js/jquery.waypoints.js'), array('jquery'), '4.0.1', true);
    // counterup
    wp_enqueue_script('counterup', get_theme_file_uri('/assets/js/jquery.counterup.min.js'), array('jquery'), '1.0.0', true);
    // slick
    wp_enqueue_script('slick', get_theme_file_uri('/assets/js/slick.min.js'), array('jquery'), '1.0.0', true);
    // slick-animation
    wp_enqueue_script('slick-animation', get_theme_file_uri('/assets/js/slick-animation.min.js'), array('jquery'), '1.0.0', true);
    // jquery.meanmenu
    wp_enqueue_script('meanmenu', get_theme_file_uri('/assets/js/jquery.meanmenu.min.js'), array('jquery'), '2.0.8', true);
    // magnific-popup
    wp_enqueue_script('magnific-popup', get_theme_file_uri('/assets/js/jquery.magnific-popup.min.js'), array('jquery'), '1.0.0', true);
    // wow.min
    wp_enqueue_script('wow', get_theme_file_uri('/assets/js/wow.min.js'), array('jquery'), '1.3.0', true);
    // circle-progress
    wp_enqueue_script('circle-progress', get_theme_file_uri('/assets/js/circle-progress.js'), array('jquery'), '1.2.2', true);

    // main script //
    wp_enqueue_script('daltech-main-script', get_theme_file_uri('/assets/js/main.js'), array('jquery'), wp_get_theme()->get('Version'), true);

    // comment reply
    if (is_singular() && comments_open() && get_option('thread_comments')) {
        wp_enqueue_script('comment-reply');
    }
}
add_action('wp_enqueue_scripts', 'daltech_essential_scripts', 99);


function daltech_block_editor_assets()
{
    // Add custom fonts.
    wp_enqueue_style('daltech-editor-fonts', daltech_google_fonts(), array(), null);
}

add_action('enqueue_block_editor_assets', 'daltech_block_editor_assets');


function daltech_google_fonts()
{
    $fonts_url = '';

    /*
	 * translators: If there are characters in your language that are not supported
	 * by Libre Franklin, translate this to 'off'. Do not translate into your own language.
	 */
    $roboto   = _x('on', 'Roboto font: on or off', 'daltech');

    if ('off' !== $roboto) {
        $fonts_url = 'https://fonts.googleapis.com/css2?family=Inter:wght@100..900&family=Kode+Mono:wght@400..700&display=swap';
    }

    return esc_url_raw($fonts_url);
}
