<?php

/**
 * @Packge     : Daltech
 * @Version    : 1.0
 * @Author     : Daltech
 * @Author URI : https://themeforest.net/user/ModinaTheme/portfolio
 *
 */


// Block direct access
if (!defined('ABSPATH')) {
    exit;
}

function daltech_widgets_init()
{

    if (class_exists('ReduxFramework')) {
        $daltech_sidebar_widget_title_heading_tag = daltech_opt('daltech_sidebar_widget_title_heading_tag');
    } else {
        $daltech_sidebar_widget_title_heading_tag = 'h4';
    }

    //sidebar widgets register
    register_sidebar(array(
        'name'          => esc_html__('Blog Sidebar', 'daltech'),
        'id'            => 'daltech-blog-sidebar',
        'description'   => esc_html__('Add Blog Sidebar Widgets Here.', 'daltech'),
        'before_widget' => '<div id="%1$s" class="single-sidebar-widget %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<div class="wid-title"><h3>',
        'after_title'   => '</h3></div>',
    ));

    // page sidebar widgets register
    register_sidebar(array(
        'name'          => esc_html__('Page Sidebar', 'daltech'),
        'id'            => 'daltech-page-sidebar',
        'description'   => esc_html__('Add Page Sidebar Widgets Here.', 'daltech'),
        'before_widget' => '<div id="%1$s" class="single-sidebar-widget %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<h4 class="title">',
        'after_title'   => '</h4>',
    ));

    if (class_exists('ReduxFramework')) {
        // footer widgets register
        register_sidebar(array(
            'name'          => esc_html__('Footer Widgets Area 1', 'daltech'),
            'id'            => 'daltech-footer-1',
            'before_widget' => '<div class="col-lg-3 col-md-6 footer-item mt-50"><div id="%1$s" class="widget footer-widget %2$s">',
            'after_widget'  => '</div></div>',
            'before_title'  => '<h4 class="widget-title">',
            'after_title'   => '</h4>',
        ));
        register_sidebar(array(
            'name'          => esc_html__('Footer Widgets Area 2', 'daltech'),
            'id'            => 'daltech-footer-2',
            'before_widget' => '<div class="col-lg-3 col-md-6 mt-50 footer-item pl-50 pl-md-15 pl-xs-15"><div id="%1$s" class="f-item link footer-widget %2$s">',
            'after_widget'  => '</div></div>',
            'before_title'  => '<h4 class="widget-title">',
            'after_title'   => '</h4>',
        ));
        register_sidebar(array(
            'name'          => esc_html__('Footer Widgets Area 3', 'daltech'),
            'id'            => 'daltech-footer-3',
            'before_widget' => '<div class="col-lg-3 col-md-6 footer-item  mt-50"><div id="%1$s" class=" footer-widget %2$s">',
            'after_widget'  => '</div></div>',
            'before_title'  => '<h4 class="widget-title">',
            'after_title'   => '</h4>',
        ));
        register_sidebar(array(
            'name'          => esc_html__('Footer Widgets Area 4', 'daltech'),
            'id'            => 'daltech-footer-4',
            'before_widget' => '<div class="col-lg-3 col-md-6 footer-item mt-50"><div id="%1$s" class="f-item footer-widget %2$s">',
            'after_widget'  => '</div></div>',
            'before_title'  => '<h4 class="widget-title">',
            'after_title'   => '</h4>',
        ));
        register_sidebar(array(
            'name'          => esc_html__('Offcanvas Item Widgets Area', 'daltech'),
            'id'            => 'daltech-offcanvus-area',
            'before_widget' => '<div class="widget %2$s"><div id="%1$s" class="offcanvas-sidebar">',
            'after_widget'  => '</div></div>',
            'before_title'  => '<h4 class="title">',
            'after_title'   => '</h4>',
        ));
        register_sidebar(array(
            'name'          => esc_html__('Service Widgets Area', 'daltech'),
            'id'            => 'daltech-service-area',
            'before_widget' => '<div class="single-widget"><div id="%1$s" class="services-sidebar %2$s">',
            'after_widget'  => '</div></div>',
            'before_title'  => '<h4 class="widget-title">',
            'after_title'   => '</h4>',
        ));
    }
}

add_action('widgets_init', 'daltech_widgets_init');
