<?php

/**
 * @Packge     : Daltech
 * @Version    : 1.0
 * @Author     : Daltech
 * @Author URI : https://themeforest.net/user/ModinaTheme/portfolio
 *
 */

// Block direct access
if (!defined('ABSPATH')) {
    exit();
}
daltech_setPostViews(get_the_ID());
?>
<div <?php post_class(); ?>>
    <div class="blog-post-details border-wrap mt-0">
        <div class="single-blog-post post-details mt-0">
            <div class="post-content pt-0">
                <?php
                if (class_exists('ReduxFramework')) {
                    $daltech_post_details_title_position = daltech_opt('daltech_post_details_title_position');
                } else {
                    $daltech_post_details_title_position = 'header';
                }

                $allowhtml = array(
                    'p'         => array(
                        'class'     => array()
                    ),
                    'span'      => array(),
                    'a'         => array(
                        'href'      => array(),
                        'title'     => array()
                    ),
                    'br'        => array(),
                    'em'        => array(),
                    'strong'    => array(),
                    'b'         => array(),
                );
                ?>
                <div class="post-meta">
                    <span><i class="fal fa-user"></i><?php echo get_the_author(); ?></span>
                    <?php daltech_comment_count(); ?>
                    <span><i class="fal fa-calendar-alt"></i> <?php echo get_the_date(); ?></span>
                </div>
                <?php

                // Blog Post Thumbnail
                do_action('daltech_blog_post_thumb');

                // Blog Post Meta
                do_action('daltech_blog_post_meta');

                if (get_the_content()) {
                    the_content();
                    // Link Pages
                    daltech_link_pages();
                }
                ?>
            </div>
        </div>
        <?php if (has_tag()) : ?>
            <div class="row tag-share-wrap">

                <div class="col-lg-8 col-12">
                    <?php
                    $daltech_post_tag = get_the_tags();
                    ?>
                    <?php if (!empty($daltech_post_tag)) : ?>
                        <h4><?php echo esc_html__("Releted Tags", 'daltech'); ?></h4>
                        <div class="tagcloud">
                            <?php
                            foreach ($daltech_post_tag as $tags) {
                                echo '<a href="' . esc_url(get_tag_link($tags->term_id)) . '">' . esc_html($tags->name) . '</a> ';
                            }
                            ?>
                        </div>
                    <?php endif; ?>
                </div>

                <div class="col-lg-4 col-12 mt-3 mt-lg-0 text-lg-end">
                    <?php do_action('daltech_blog_details_share_options'); ?>
                </div>
            </div>
        <?php endif; ?>
        <?php
        /**
         *
         * Hook for Blog Details Comments
         *
         * Hook daltech_blog_details_comments
         *
         * @Hooked daltech_blog_details_comments_cb 10
         *
         */
        do_action('daltech_blog_details_comments');
        ?>
    </div>
</div>
<?php
/**
 *
 * Hook for Blog Details Author Bio
 *
 * Hook daltech_blog_details_author_bio
 *
 * @Hooked daltech_blog_details_author_bio_cb 10
 *
 */
do_action('daltech_blog_details_author_bio');
