<?php

/**
 * @Packge     : Daltech
 * @Version    : 1.0
 * @Author     : Daltech
 * @Author URI : https://themeforest.net/user/ModinaTheme/portfolio
 *
 */

// Block direct access
if (!defined('ABSPATH')) {
    exit();
}

if (defined('CMB2_LOADED')) {
    if (!empty(daltech_meta('page_breadcrumb_area'))) {
        $daltech_page_breadcrumb_area  = daltech_meta('page_breadcrumb_area');
    } else {
        $daltech_page_breadcrumb_area = '1';
    }
} else {
    $daltech_page_breadcrumb_area = '1';
}

$allowhtml = array(
    'p'         => array(
        'class'     => array()
    ),
    'span'      => array(
        'class'     => array(),
    ),
    'a'         => array(
        'href'      => array(),
        'title'     => array()
    ),
    'br'        => array(),
    'em'        => array(),
    'strong'    => array(),
    'b'         => array(),
    'sub'       => array(),
    'sup'       => array(),
);

if (is_page() || is_page_template('template-builder.php')) {
    if ($daltech_page_breadcrumb_area == '1') {
        if (class_exists('ReduxFramework')) {
            $class = '';
        } else {
            $class = 'thumb-less';
        }
        $daltech_page_header_extra_class = apply_filters('daltech_page_header_extra_class', 'page-header--unit-test');
        echo '<!-- Page title -->';
        echo '<div class="breadcrumb-wrapper section-padding bg-cover' . esc_attr($class) . esc_attr($daltech_page_header_extra_class) . '">';
        echo '<div class="container">';
        echo '<div class="page-heading">';

        if (class_exists('ReduxFramework')) {
            $daltech_page_title_switcher  = daltech_opt('daltech_page_title_switcher');
        } else {
            $daltech_page_title_switcher = '1';
        }

        if (class_exists('ReduxFramework')) {
            $daltech_page_title_switcher  = daltech_opt('daltech_page_title_switcher');
        } else {
            $daltech_page_title_switcher = '1';
        }

        if ($daltech_page_title_switcher) {
            if (class_exists('ReduxFramework')) {
                $daltech_page_title_tag    = daltech_opt('daltech_page_title_tag');
            } else {
                $daltech_page_title_tag    = 'h1';
            }
            if (is_archive()) {
                echo daltech_heading_tag(
                    array(
                        "tag"   => esc_attr($daltech_page_title_tag),
                        "text"  => wp_kses(get_the_archive_title(), $allowhtml),
                        'class' => 'breadcumb-title'
                    )
                );
            } elseif (is_home()) {
                $daltech_blog_page_title_setting = daltech_opt('daltech_blog_page_title_setting');
                $daltech_blog_page_title_switcher = daltech_opt('daltech_blog_page_title_switcher');
                $daltech_blog_page_custom_title = daltech_opt('daltech_blog_page_custom_title');
                if (class_exists('ReduxFramework')) {
                    if ($daltech_blog_page_title_switcher) {
                        echo daltech_heading_tag(
                            array(
                                "tag"   => esc_attr($daltech_page_title_tag),
                                "text"  => !empty($daltech_blog_page_custom_title) && $daltech_blog_page_title_setting == 'custom' ? esc_html($daltech_blog_page_custom_title) : esc_html__('Blog', 'daltech'),
                                'class' => 'breadcumb-title'
                            )
                        );
                    }
                } else {
                    echo daltech_heading_tag(
                        array(
                            "tag"   => "h1",
                            "text"  => esc_html__('Blog', 'daltech'),
                            'class' => 'breadcumb-title',
                        )
                    );
                }
            } elseif (is_search()) {
                echo daltech_heading_tag(
                    array(
                        "tag"   => esc_attr($daltech_page_title_tag),
                        "text"  => esc_html__('Search Result', 'daltech'),
                        'class' => 'breadcumb-title'
                    )
                );
            } elseif (is_404()) {
                echo daltech_heading_tag(
                    array(
                        "tag"   => esc_attr($daltech_page_title_tag),
                        "text"  => esc_html__('404 PAGE', 'daltech'),
                        'class' => 'breadcumb-title'
                    )
                );
            } else {
                $posttitle_position  = daltech_opt('daltech_post_details_title_position');
                $postTitlePos = false;
                if (is_single()) {
                    if (class_exists('ReduxFramework')) {
                        if ($posttitle_position && $posttitle_position != 'header') {
                            $postTitlePos = true;
                        }
                    } else {
                        $postTitlePos = false;
                    }
                }
                if ($postTitlePos != true) {
                    echo daltech_heading_tag(
                        array(
                            "tag"   => esc_attr($daltech_page_title_tag),
                            "text"  => wp_kses(get_the_title(), $allowhtml),
                            'class' => 'breadcumb-title'
                        )
                    );
                } else {
                    if (class_exists('ReduxFramework')) {
                        $daltech_post_details_custom_title  = daltech_opt('daltech_post_details_custom_title');
                    } else {
                        $daltech_post_details_custom_title = __('Blog Details', 'daltech');
                    }

                    if (!empty($daltech_post_details_custom_title)) {
                        echo daltech_heading_tag(
                            array(
                                "tag"   => esc_attr($daltech_page_title_tag),
                                "text"  => wp_kses($daltech_post_details_custom_title, $allowhtml),
                                'class' => 'breadcumb-title'
                            )
                        );
                    }
                }
            }
        }


        if (class_exists('ReduxFramework')) {
            $daltech_breadcrumb_switcher = daltech_opt('daltech_enable_breadcrumb');
        } else {
            $daltech_breadcrumb_switcher = '1';
        }
        if ($daltech_breadcrumb_switcher == '1') {
            daltech_breadcrumbs(
                array(
                    'breadcrumbs_classes' => 'nav',
                )
            );
        }

        echo '</div>';
        echo '</div>';
        echo '</div>';
        echo '<!-- End of Page title -->';
    }
} else {
    if (class_exists('ReduxFramework')) {
        $class = '';
    } else {
        $class = 'thumb-less';
    }

    $daltech_page_header_extra_class = apply_filters('daltech_page_header_extra_class', 'page-header--unit-test');
    echo '<!-- Page title -->';
    echo '<div class="breadcrumb-wrapper section-padding bg-cover' . esc_attr($class) . " " . esc_attr($daltech_page_header_extra_class) . '">';
    echo '<div class="container">';
    echo '<div class="page-heading">';

    if (class_exists('ReduxFramework')) {
        $daltech_page_title_switcher  = daltech_opt('daltech_page_title_switcher');
    } else {
        $daltech_page_title_switcher = '1';
    }

    if ($daltech_page_title_switcher) {
        if (class_exists('ReduxFramework')) {
            $daltech_page_title_tag    = daltech_opt('daltech_page_title_tag');
        } else {
            $daltech_page_title_tag    = 'h1';
        }
        if (is_archive()) {
            echo daltech_heading_tag(
                array(
                    "tag"   => esc_attr($daltech_page_title_tag),
                    "text"  => wp_kses(get_the_archive_title(), $allowhtml),
                    'class' => 'breadcumb-title'
                )
            );
        } elseif (is_home()) {
            $daltech_blog_page_title_setting = daltech_opt('daltech_blog_page_title_setting');
            $daltech_blog_page_title_switcher = daltech_opt('daltech_blog_page_title_switcher');
            $daltech_blog_page_custom_title = daltech_opt('daltech_blog_page_custom_title');
            if (class_exists('ReduxFramework')) {
                if ($daltech_blog_page_title_switcher) {
                    echo daltech_heading_tag(
                        array(
                            "tag"   => esc_attr($daltech_page_title_tag),
                            "text"  => !empty($daltech_blog_page_custom_title) && $daltech_blog_page_title_setting == 'custom' ? esc_html($daltech_blog_page_custom_title) : esc_html__('Blog', 'daltech'),
                            'class' => 'breadcumb-title'
                        )
                    );
                }
            } else {
                echo daltech_heading_tag(
                    array(
                        "tag"   => "h1",
                        "text"  => esc_html__('Blog', 'daltech'),
                        'class' => 'breadcumb-title',
                    )
                );
            }
        } elseif (is_search()) {
            echo daltech_heading_tag(
                array(
                    "tag"   => esc_attr($daltech_page_title_tag),
                    "text"  => esc_html__('Search Result', 'daltech'),
                    'class' => 'breadcumb-title'
                )
            );
        } elseif (is_404()) {
            echo daltech_heading_tag(
                array(
                    "tag"   => esc_attr($daltech_page_title_tag),
                    "text"  => esc_html__('404 PAGE', 'daltech'),
                    'class' => 'breadcumb-title'
                )
            );
        } else {
            $posttitle_position  = daltech_opt('daltech_post_details_title_position');
            $postTitlePos = false;
            if (is_single()) {
                if (class_exists('ReduxFramework')) {
                    if ($posttitle_position && $posttitle_position != 'header') {
                        $postTitlePos = true;
                    }
                } else {
                    $postTitlePos = false;
                }
            }
            if ($postTitlePos != true) {
                echo daltech_heading_tag(
                    array(
                        "tag"   => esc_attr($daltech_page_title_tag),
                        "text"  => wp_kses(get_the_title(), $allowhtml),
                        'class' => 'breadcumb-title'
                    )
                );
            } else {
                if (class_exists('ReduxFramework')) {
                    $daltech_post_details_custom_title  = daltech_opt('daltech_post_details_custom_title');
                } else {
                    $daltech_post_details_custom_title = __('Blog Details', 'daltech');
                }

                if (!empty($daltech_post_details_custom_title)) {
                    echo daltech_heading_tag(
                        array(
                            "tag"   => esc_attr($daltech_page_title_tag),
                            "text"  => wp_kses($daltech_post_details_custom_title, $allowhtml),
                            'class' => 'breadcumb-title'
                        )
                    );
                }
            }
        }
    }

    if (class_exists('ReduxFramework')) {
        $daltech_breadcrumb_switcher = daltech_opt('daltech_enable_breadcrumb');
    } else {
        $daltech_breadcrumb_switcher = '1';
    }
    if ($daltech_breadcrumb_switcher == '1') {
        daltech_breadcrumbs(
            array(
                'breadcrumbs_classes' => 'nav',
            )
        );
    }

    echo '</div>';
    echo '</div>';
    echo '</div>';
    echo '<!-- End of Page title -->';
}
