<?php

$this->start_controls_section(
    'content_style_option',
    [
        'label' => esc_html__('Content Style', 'daltech-core'),
        'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    ]
);

$this->add_control(
    'section_title_option',
    [
        'label' => esc_html__('Title Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['1', '4', '2'],
        ],
    ]
);

$this->add_control(
    'section_title_color',
    [
        'label' => esc_html__('Title Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .section-title h2' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['1', '4', '2'],
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'section_title_typography',
        'label' => esc_html__('Title Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .section-title h2',
        'condition' => [
            'style' => ['1', '4', '2'],
        ],
    ]
);

$this->add_control(
    'section_subtitle_option',
    [
        'label' => esc_html__('Sub-Title Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['1', '4', '2'],
        ],
    ]
);

$this->add_control(
    'section_subtitle_color',
    [
        'label' => esc_html__('Subtitle Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .section-title span' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['1', '4', '2'],
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'section_subtitle_typography',
        'label' => esc_html__('Subtitle Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .section-title span',
        'condition' => [
            'style' => ['1', '4', '2'],
        ],
    ]
);

$this->add_control(
    'section_summary_option',
    [
        'label' => esc_html__('Summary Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['1', '4', '2'],
        ],
    ]
);

$this->add_control(
    'section_summary_color',
    [
        'label' => esc_html__('Summary Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .about-content p' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['1', '4', '2'],
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'section_summary_typography',
        'label' => esc_html__('Summary Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .about-content p',
        'condition' => [
            'style' => ['1', '4', '2'],
        ],
    ]
);

$this->add_control(
    'circle_text_option',
    [
        'label' => esc_html__('Circle Text Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['1'],
        ],
    ]
);

$this->add_control(
    'circle_text_color',
    [
        'label' => esc_html__('Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .about-wrapper .about-content .circle-progress-bar-wrapper .single-circle-bar .content h6' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['1'],
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'circle_text_typography',
        'label' => esc_html__('Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .about-wrapper .about-content .circle-progress-bar-wrapper .single-circle-bar .content h6',
        'condition' => [
            'style' => ['1'],
        ],
    ]
);


$this->add_control(
    'check_list_option',
    [
        'label' => esc_html__('Check List Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['1', '2'],
        ],
    ]
);

$this->add_control(
    'check_list_color',
    [
        'label' => esc_html__('Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .about-wrapper .about-content .about-list li,{{WRAPPER}} .about-wrapper .about-content .about-list li' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['1', '2'],
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'check_list_typography',
        'label' => esc_html__('Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .about-wrapper .about-content .about-list li,{{WRAPPER}} .about-wrapper .about-content .about-list li',
        'condition' => [
            'style' => ['1', '2'],
        ],
    ]
);

$this->add_control(
    'feature_title_option',
    [
        'label' => esc_html__('Feature Title Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['4', '2'],
        ],
    ]
);

$this->add_control(
    'feature_title_color',
    [
        'label' => esc_html__('Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .single-about-wrapper-2 .about-content .single-system-item .content h4,{{WRAPPER}} .about-wrapper.style-2 .about-content .icon-area .icon-items .content h5' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['4', '2'],
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'feature_title_typography',
        'label' => esc_html__('Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .single-about-wrapper-2 .about-content .single-system-item .content h4,{{WRAPPER}} .about-wrapper.style-2 .about-content .icon-area .icon-items .content h5',
        'condition' => [
            'style' => ['4', '2'],
        ],
    ]
);

$this->add_control(
    'feature_subtitle_option',
    [
        'label' => esc_html__('Feature Subtitle Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['4'],
        ],
    ]
);

$this->add_control(
    'feature_subtitle_color',
    [
        'label' => esc_html__('Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .single-about-wrapper-2 .about-content .single-system-item .content p' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['4'],
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'feature_subtitle_typography',
        'label' => esc_html__('Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .single-about-wrapper-2 .about-content .single-system-item .content p',
        'condition' => [
            'style' => ['4'],
        ],
    ]
);

$this->add_control(
    'section_button_option',
    [
        'label' => esc_html__('Button Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['1'],
        ],
    ]
);
$this->add_control(
    'section_button_color',
    [
        'label' => esc_html__('Button Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .theme-btn' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['1'],
        ],
    ]
);

$this->add_control(
    'section_button_bg_color',
    [
        'label' => esc_html__('Button Background Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .theme-btn' => 'background-color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['1'],
        ],
    ]
);

$this->add_control(
    'section_button_hover_bg_color',
    [
        'label' => esc_html__('Button Hover Background Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .theme-btn::after,{{WRAPPER}} .theme-btn::before' => 'background-color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['1'],
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'section_button_typography',
        'label' => esc_html__('Button Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .theme-btn',
        'condition' => [
            'style' => ['1'],
        ],
    ]
);


$this->end_controls_section();
