<?php

$this->start_controls_section(
    'content_style_option',
    [
        'label' => esc_html__('Content Style', 'daltech-core'),
        'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    ]
);

$this->add_control(
    'section_title_option',
    [
        'label' => esc_html__('Title Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['1', '2', '3'],
        ],
    ]
);

$this->add_control(
    'section_title_color',
    [
        'label' => esc_html__('Title Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .section-title h2' => 'color: {{VALUE}} !important',
        ],
        'condition' => [
            'style' => ['1', '2', '3'],
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'section_title_typography',
        'label' => esc_html__('Title Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .section-title h2',
        'condition' => [
            'style' => ['1', '2', '3'],
        ],
    ]
);

$this->add_control(
    'section_subtitle_option',
    [
        'label' => esc_html__('Sub-Title Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['1', '2', '3'],
        ],
    ]
);

$this->add_control(
    'section_subtitle_color',
    [
        'label' => esc_html__('Subtitle Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .section-title span' => 'color: {{VALUE}} !important',
        ],
        'condition' => [
            'style' => ['1', '2', '3'],
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'section_subtitle_typography',
        'label' => esc_html__('Subtitle Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .section-title span',
        'condition' => [
            'style' => ['1', '2', '3'],
        ],
    ]
);

$this->add_control(
    'section_summary_option',
    [
        'label' => esc_html__('Summary Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['1'],
        ],
    ]
);

$this->add_control(
    'section_summary_color',
    [
        'label' => esc_html__('Summary Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .case-studies-content-area p' => 'color: {{VALUE}} !important',
        ],
        'condition' => [
            'style' => ['1'],
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'section_summary_typography',
        'label' => esc_html__('Summary Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .case-studies-content-area p',
        'condition' => [
            'style' => ['1'],
        ],
    ]
);

$this->add_control(
    'case_title_option',
    [
        'label' => esc_html__('Case Title Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['1', '2', '3', '4'],
        ],
    ]
);

$this->add_control(
    'case_title_color',
    [
        'label' => esc_html__('Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .case-studies-wrapper .case-studies-content-area .case-studies-items .case-studies-content .content h3 a,{{WRAPPER}} .case-studies-content a,{{WRAPPER}} .case-study-content a' => 'color: {{VALUE}} !important',
        ],
        'condition' => [
            'style' => ['1', '2', '3', '4'],
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'case_title_typography',
        'label' => esc_html__('Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .case-studies-wrapper .case-studies-content-area .case-studies-items .case-studies-content .content h3 a,{{WRAPPER}} .case-studies-content a,{{WRAPPER}} .case-study-content a',
        'condition' => [
            'style' => ['1', '2', '3', '4'],
        ],
    ]
);

$this->add_control(
    'case_subtitle_option',
    [
        'label' => esc_html__('Sub-Title Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['1', '2', '3', '4'],
        ],
    ]
);

$this->add_control(
    'case_subtitle_color',
    [
        'label' => esc_html__('Subtitle Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .case-studies-wrapper .case-studies-content-area .case-studies-items .case-studies-content .content h5,{{WRAPPER}} .case-studies-content p,{{WRAPPER}} .case-study-content p' => 'color: {{VALUE}} !important',
        ],
        'condition' => [
            'style' => ['1', '2', '3', '4'],
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'case_subtitle_typography',
        'label' => esc_html__('Subtitle Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .case-studies-wrapper .case-studies-content-area .case-studies-items .case-studies-content .content h5,{{WRAPPER}} .case-studies-content p,{{WRAPPER}} .case-study-content p',
        'condition' => [
            'style' => ['1', '2', '3', '4'],
        ],
    ]
);

$this->end_controls_section();
