<?php

$this->start_controls_section(
    'content_style_option',
    [
        'label' => esc_html__('Content Style', 'daltech-core'),
        'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    ]
);

$this->add_control(
    'section_title_option',
    [
        'label' => esc_html__('Section Title Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['2'],
        ],
    ]
);

$this->add_control(
    'section_title_color',
    [
        'label' => esc_html__('Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .section-title h2' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['2'],
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'section_title_typography',
        'label' => esc_html__('Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .section-title h2',
        'condition' => [
            'style' => ['2'],
        ],
    ]
);

$this->add_control(
    'section_subtitle_option',
    [
        'label' => esc_html__('Section Sub-Title Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['2'],
        ],
    ]
);

$this->add_control(
    'section_subtitle_color',
    [
        'label' => esc_html__('Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .section-title span' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['2'],
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'section_subtitle_typography',
        'label' => esc_html__('Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .section-title span',
        'condition' => [
            'style' => ['2'],
        ],
    ]
);

$this->add_control(
    'counter_number_option',
    [
        'label' => esc_html__('Number Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['1', '3'],
        ],
    ]
);

$this->add_control(
    'counter_number_color',
    [
        'label' => esc_html__('Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .counter-wrapper .counter-items .content h2,{{WRAPPER}} .service-counter-wrapper .service-counter-items .content h2,{{WRAPPER}} .counter-wrapper-2 .counter-items .content h2' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['1', '3'],
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'counter_number_typography',
        'label' => esc_html__('Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .counter-wrapper .counter-items .content h2,{{WRAPPER}} .service-counter-wrapper .service-counter-items .content h2,,{{WRAPPER}} .service-counter-wrapper .service-counter-items .content h2,{{WRAPPER}} .counter-wrapper-2 .counter-items .content h2',
        'condition' => [
            'style' => ['1', '3'],
        ],
    ]
);

$this->add_control(
    'counter_title_option',
    [
        'label' => esc_html__('Title Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['1', '3'],
        ],
    ]
);

$this->add_control(
    'counter_title_color',
    [
        'label' => esc_html__('Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .counter-wrapper .counter-items .content p,{{WRAPPER}} .service-counter-wrapper .service-counter-items .content p,{{WRAPPER}} .counter-wrapper-2 .counter-items .content p' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['1', '3'],
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'counter_title_typography',
        'label' => esc_html__('Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .counter-wrapper .counter-items .content p,{{WRAPPER}} .service-counter-wrapper .service-counter-items .content p,{{WRAPPER}} .counter-wrapper-2 .counter-items .content p',
        'condition' => [
            'style' => ['1', '3'],
        ],
    ]
);

$this->add_control(
    'section_button_option',
    [
        'label' => esc_html__('Button Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['2']
        ],
    ]
);
$this->add_control(
    'section_button_color',
    [
        'label' => esc_html__('Button Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .theme-btn' => 'color: {{VALUE}} !important',
        ],
        'condition' => [
            'style' => ['2']
        ],
    ]
);

$this->add_control(
    'section_button_bg_color',
    [
        'label' => esc_html__('Button Background Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .theme-btn' => 'background-color: {{VALUE}} !important',
        ],
        'condition' => [
            'style' => ['2']
        ],
    ]
);

$this->add_control(
    'section_button_hover_bg_color',
    [
        'label' => esc_html__('Button Hover Background Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .theme-btn::after,{{WRAPPER}} .theme-btn::before' => 'background-color: {{VALUE}} !important',
        ],
        'condition' => [
            'style' => ['2']
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'section_button_typography',
        'label' => esc_html__('Button Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .theme-btn',
        'condition' => [
            'style' => ['2']
        ],
    ]
);


$this->end_controls_section();
