<?php

$this->start_controls_section(
	'content_style_option',
	[
		'label' => esc_html__('Content Style', 'daltech-core'),
		'tab' => \Elementor\Controls_Manager::TAB_STYLE,
	]
);

$this->add_control(
	'section_title_option',
	[
		'label' => esc_html__('Title Options', 'daltech-core'),
		'type' => \Elementor\Controls_Manager::HEADING,
		'separator' => 'before',
		'condition' => [
			'style' => ['3'],
		],
	]
);

$this->add_control(
	'section_title_color',
	[
		'label' => esc_html__('Title Color', 'daltech-core'),
		'type' => \Elementor\Controls_Manager::COLOR,
		'selectors' => [
			'{{WRAPPER}} .section-title h2' => 'color: {{VALUE}}',
		],
		'condition' => [
			'style' => ['3'],
		],
	]
);

$this->add_group_control(
	\Elementor\Group_Control_Typography::get_type(),
	[
		'name' => 'section_title_typography',
		'label' => esc_html__('Title Typography', 'daltech-core'),
		'selector' => '{{WRAPPER}} .section-title h2',
		'condition' => [
			'style' => ['3'],
		],
	]
);

$this->add_control(
	'section_subtitle_option',
	[
		'label' => esc_html__('Sub-Title Options', 'daltech-core'),
		'type' => \Elementor\Controls_Manager::HEADING,
		'separator' => 'before',
		'condition' => [
			'style' => ['3'],
		],
	]
);

$this->add_control(
	'section_subtitle_color',
	[
		'label' => esc_html__('Subtitle Color', 'daltech-core'),
		'type' => \Elementor\Controls_Manager::COLOR,
		'selectors' => [
			'{{WRAPPER}} .section-title span' => 'color: {{VALUE}}',
		],
		'condition' => [
			'style' => ['3'],
		],
	]
);

$this->add_group_control(
	\Elementor\Group_Control_Typography::get_type(),
	[
		'name' => 'section_subtitle_typography',
		'label' => esc_html__('Subtitle Typography', 'daltech-core'),
		'selector' => '{{WRAPPER}} .section-title span',
		'condition' => [
			'style' => ['3'],
		],
	]
);

$this->add_control(
	'title_option',
	[
		'label' => esc_html__('Title Options', 'daltech-core'),
		'type' => \Elementor\Controls_Manager::HEADING,
		'separator' => 'before',
		'condition' => [
			'style' => ['1', '2', '3'],
		],
	]
);

$this->add_control(
	'title_color',
	[
		'label' => esc_html__('Title Color', 'daltech-core'),
		'type' => \Elementor\Controls_Manager::COLOR,
		'selectors' => [
			'{{WRAPPER}} .counter-wrapper .counter-items .content p,{{WRAPPER}} .feature-single-wrapper .single-feature-content .feature-items .content h3' => 'color: {{VALUE}} !important',
		],
		'condition' => [
			'style' => ['1', '2', '3'],
		],
	]
);

$this->add_group_control(
	\Elementor\Group_Control_Typography::get_type(),
	[
		'name' => 'title_typography',
		'label' => esc_html__('Title Typography', 'daltech-core'),
		'selector' => '{{WRAPPER}} .counter-wrapper .counter-items .content p,{{WRAPPER}} .feature-single-wrapper .single-feature-content .feature-items .content h3',
		'condition' => [
			'style' => ['1', '2', '3'],
		],
	]
);

$this->add_control(
	'number_option',
	[
		'label' => esc_html__('Number Options', 'daltech-core'),
		'type' => \Elementor\Controls_Manager::HEADING,
		'separator' => 'before',
		'condition' => [
			'style' => ['1', '2', '3'],
		],
	]
);

$this->add_control(
	'number_color',
	[
		'label' => esc_html__('Number Color', 'daltech-core'),
		'type' => \Elementor\Controls_Manager::COLOR,
		'selectors' => [
			'{{WRAPPER}} .counter-wrapper .counter-items .content h2,{{WRAPPER}} .feature-single-wrapper .single-feature-content .feature-items .content p' => 'color: {{VALUE}}',
		],
		'condition' => [
			'style' => ['1', '2', '3'],
		],
	]
);

$this->add_group_control(
	\Elementor\Group_Control_Typography::get_type(),
	[
		'name' => 'number_typography',
		'label' => esc_html__('Number Typography', 'daltech-core'),
		'selector' => '{{WRAPPER}} .counter-wrapper .counter-items .content h2,{{WRAPPER}} .feature-single-wrapper .single-feature-content .feature-items .content p',
		'condition' => [
			'style' => ['1', '2', '3'],
		],
	]
);

$this->end_controls_section();
