<?php

$this->start_controls_section(
    'content_style_option',
    [
        'label' => esc_html__('Content Style', 'daltech-core'),
        'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    ]
);

$this->add_control(
    'section_title_option',
    [
        'label' => esc_html__('Title Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['1'],
        ],
    ]
);

$this->add_control(
    'section_title_color',
    [
        'label' => esc_html__('Title Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .footer-widgets-wrapper .single-footer-widget .footer-content p' => 'color: {{VALUE}} !important',
        ],
        'condition' => [
            'style' => ['1'],
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'section_title_typography',
        'label' => esc_html__('Title Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .footer-widgets-wrapper .single-footer-widget .footer-content p',
        'condition' => [
            'style' => ['1'],
        ],
    ]
);

$this->add_control(
    'section_subtitle_option',
    [
        'label' => esc_html__('Sub-Title Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['1'],
        ],
    ]
);

$this->add_control(
    'section_subtitle_color',
    [
        'label' => esc_html__('Subtitle Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .footer-widgets-wrapper .single-footer-widget .footer-content .link' => 'color: {{VALUE}} !important',
        ],
        'condition' => [
            'style' => ['1'],
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'section_subtitle_typography',
        'label' => esc_html__('Subtitle Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .footer-widgets-wrapper .single-footer-widget .footer-content .link',
        'condition' => [
            'style' => ['1'],
        ],
    ]
);

$this->end_controls_section();
