<?php

$this->start_controls_section(
    'content_style_option',
    [
        'label' => esc_html__('Content Style', 'daltech-core'),
        'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    ]
);

$this->add_control(
    'header_title_option',
    [
        'label' => esc_html__('Title Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['1', '2', '3', '4']
        ],
    ]
);

$this->add_control(
    'header_title_color',
    [
        'label' => esc_html__('Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .header-main .main-menu ul li a' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['1', '2', '3', '4']
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'header_title_typography',
        'label' => esc_html__('Title Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .header-main .main-menu ul li a',
        'condition' => [
            'style' => ['1', '2', '3', '4']
        ],
    ]
);

$this->add_control(
    'contact_title_option',
    [
        'label' => esc_html__('Contact Title Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['1']
        ],
    ]
);

$this->add_control(
    'contact_title_color',
    [
        'label' => esc_html__('Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .header-1 .mega-menu-wrapper .header-main .header-right .contact-info .content p,{{WRAPPER}} .top-header-2 .top-header-items .contact-list li' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['1', '4']
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'contact_title_typography',
        'label' => esc_html__('Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .header-1 .mega-menu-wrapper .header-main .header-right .contact-info .content p,{{WRAPPER}} .top-header-2 .top-header-items .contact-list li',
        'condition' => [
            'style' => ['1', '4']
        ],
    ]
);

$this->add_control(
    'contact_info_option',
    [
        'label' => esc_html__('Contact Info  Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['1', '4']
        ],
    ]
);

$this->add_control(
    'contact_info_color',
    [
        'label' => esc_html__('Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .contact-info a' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['1']
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'contact_info_typography',
        'label' => esc_html__('Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .contact-info a',
        'condition' => [
            'style' => ['1']
        ],
    ]
);

$this->add_control(
    'read_more_color',
    [
        'label' => esc_html__('Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .link-btn span' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['1']
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'read_more_typography',
        'label' => esc_html__('Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .link-btn span',
        'condition' => [
            'style' => ['1']
        ],
    ]
);

$this->add_control(
    'sidemenu_button_option',
    [
        'label' => esc_html__('Button Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['2', '3', '4'],
        ],
    ]
);
$this->add_control(
    'sidemenu_button_color',
    [
        'label' => esc_html__('Button Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .theme-btn' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['2', '3', '4'],
        ],
    ]
);

$this->add_control(
    'sidemenu_button_bg_color',
    [
        'label' => esc_html__('Button Background Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .theme-btn' => 'background-color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['2', '3', '4'],
        ],
    ]
);

$this->add_control(
    'sidemenu_button_hover_bg_color',
    [
        'label' => esc_html__('Button Hover Background Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .theme-btn::after,{{WRAPPER}} .theme-btn::before' => 'background-color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['2', '3', '4'],
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'sidemenu_button_typography',
        'label' => esc_html__('Button Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .theme-btn',
        'condition' => [
            'style' => ['2', '3', '4'],
        ],
    ]
);


$this->end_controls_section();
