<?php

$this->start_controls_section(
    'content_style_option',
    [
        'label' => esc_html__('Content Style', 'daltech-core'),
        'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    ]
);

$this->add_control(
    'section_title_option',
    [
        'label' => esc_html__('Section Title Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['2', '3']
        ],
    ]
);

$this->add_control(
    'section_title_color',
    [
        'label' => esc_html__('Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .section-title h2' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['2', '3']
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'section_title_typography',
        'label' => esc_html__('Title Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .section-title h2',
        'condition' => [
            'style' => ['2', '3']
        ],
    ]
);

$this->add_control(
    'section_subtitle_option',
    [
        'label' => esc_html__('Section Sub-Title Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['2', '3']
        ],
    ]
);

$this->add_control(
    'section_subtitle_color',
    [
        'label' => esc_html__('Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .section-title span' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['2', '3']
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'section_subtitle_typography',
        'label' => esc_html__('Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .section-title span',
        'condition' => [
            'style' => ['2', '3']
        ],
    ]
);

$this->add_control(
    'section_smmary_option',
    [
        'label' => esc_html__('Section Summary Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['3']
        ],
    ]
);

$this->add_control(
    'section_summary_color',
    [
        'label' => esc_html__('Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .project-details-wrapper .project-title-content p' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['3']
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'section_summary_typography',
        'label' => esc_html__('Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .project-details-wrapper .project-title-content p',
        'condition' => [
            'style' => ['3']
        ],
    ]
);


$this->add_control(
    'content_title_option',
    [
        'label' => esc_html__('Title Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['1', '2']
        ],
    ]
);

$this->add_control(
    'content_title_color',
    [
        'label' => esc_html__('Title Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .project-image .project-content h3 a,{{WRAPPER}} .case-study-content a' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['1', '2']
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'content_title_typography',
        'label' => esc_html__('Title Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .project-image .project-content h3 a,{{WRAPPER}} .case-study-content a',
        'condition' => [
            'style' => ['1', '2']
        ],
    ]
);

$this->add_control(
    'content_subtitle_option',
    [
        'label' => esc_html__('Sub-Title Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['1', '2']
        ],
    ]
);

$this->add_control(
    'content_subtitle_color',
    [
        'label' => esc_html__('Subtitle Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .project-image .project-content p,{{WRAPPER}} .case-study-content p' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['1', '2']
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'content_subtitle_typography',
        'label' => esc_html__('Subtitle Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .project-image .project-content p,{{WRAPPER}} .case-study-content p',
        'condition' => [
            'style' => ['1', '2']
        ],
    ]
);

$this->add_control(
    'section_button_option',
    [
        'label' => esc_html__('Button Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['3']
        ],
    ]
);
$this->add_control(
    'section_button_color',
    [
        'label' => esc_html__('Button Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .theme-btn' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['3']
        ],
    ]
);

$this->add_control(
    'section_button_bg_color',
    [
        'label' => esc_html__('Button Background Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .theme-btn' => 'background-color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['3']
        ],
    ]
);

$this->add_control(
    'section_button_hover_bg_color',
    [
        'label' => esc_html__('Button Hover Background Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .theme-btn::after,{{WRAPPER}} .theme-btn::before' => 'background-color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['3']
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'section_button_typography',
        'label' => esc_html__('Button Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .theme-btn',
        'condition' => [
            'style' => ['3']
        ],
    ]
);


$this->end_controls_section();
