<?php

$this->start_controls_section(
    'content_style_option',
    [
        'label' => esc_html__('Content Style', 'daltech-core'),
        'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    ]
);

$this->add_control(
    'section_title_option',
    [
        'label' => esc_html__('Section Title Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['1', '2', '3', '4', '5', '6', '7'],
        ],
    ]
);

$this->add_control(
    'section_title_color',
    [
        'label' => esc_html__('Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .section-title h2,{{WRAPPER}} .section-content h2' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['1', '2', '3', '4', '5', '6', '7'],
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'section_title_typography',
        'label' => esc_html__('Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .section-title h2,{{WRAPPER}} .section-content h2',
        'condition' => [
            'style' => ['1', '2', '3', '4', '5', '6', '7'],
        ],
    ]
);

$this->add_control(
    'section_subtitle_option',
    [
        'label' => esc_html__('Section Sub-Title Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['1', '2', '3', '4', '5', '6', '7'],
        ],
    ]
);

$this->add_control(
    'section_subtitle_color',
    [
        'label' => esc_html__('Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .section-title span,{{WRAPPER}} .section-content span' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['1', '2', '3', '4', '5', '6', '7'],
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'section_subtitle_typography',
        'label' => esc_html__('Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .section-title span,{{WRAPPER}} .section-content span',
        'condition' => [
            'style' => ['1', '2', '3', '4', '5', '6', '7'],
        ],
    ]
);

$this->add_control(
    'section_summary_option',
    [
        'label' => esc_html__('Section Summary Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['4', '6'],
        ],
    ]
);

$this->add_control(
    'section_summary_color',
    [
        'label' => esc_html__('Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .title-section-area p,{{WRAPPER}} .section-content p' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['4', '6'],
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'section_summary_typography',
        'label' => esc_html__('Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .title-section-area p,{{WRAPPER}} .section-content p',
        'condition' => [
            'style' => ['4', '6'],
        ],
    ]
);

$this->add_control(
    'service_title_option',
    [
        'label' => esc_html__('Service Title Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['2', '3', '4', '5', '7'],
        ],
    ]
);

$this->add_control(
    'service_title_color',
    [
        'label' => esc_html__('Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .service-box-items h3 a,{{WRAPPER}} .content a' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['2', '3', '4', '5', '7'],
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'service_title_typography',
        'label' => esc_html__('Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .service-box-items h3 a,{{WRAPPER}} .content a',
        'condition' => [
            'style' => ['2', '3', '4', '5', '7'],
        ],
    ]
);

$this->add_control(
    'service_subtitle_option',
    [
        'label' => esc_html__('Service Sub-Title Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['2', '3', '5', '7'],
        ],
    ]
);

$this->add_control(
    'service_subtitle_color',
    [
        'label' => esc_html__('Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .service-box-items p,{{WRAPPER}} .content p' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['2', '3', '5', '7'],
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'service_subtitle_typography',
        'label' => esc_html__('Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .service-box-items p,{{WRAPPER}} .content p',
        'condition' => [
            'style' => ['2', '3', '5', '7'],
        ],
    ]
);

$this->add_control(
    'section_button_option',
    [
        'label' => esc_html__('Button Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['1', '3', '6'],
        ],
    ]
);
$this->add_control(
    'section_button_color',
    [
        'label' => esc_html__('Button Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .theme-btn' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['1', '3', '6'],
        ],
    ]
);

$this->add_control(
    'section_button_bg_color',
    [
        'label' => esc_html__('Button Background Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .theme-btn' => 'background-color: {{VALUE}} !important',
        ],
        'condition' => [
            'style' => ['1', '3', '6'],
        ],
    ]
);

$this->add_control(
    'section_button_hover_bg_color',
    [
        'label' => esc_html__('Button Hover Background Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .theme-btn::after,{{WRAPPER}} .theme-btn::before' => 'background-color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['1', '3', '6'],
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'section_button_typography',
        'label' => esc_html__('Button Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .theme-btn',
        'condition' => [
            'style' => ['1', '3', '6'],
        ],
    ]
);


$this->end_controls_section();
