<?php

$this->start_controls_section(
	'banner_section_style_option',
	[
		'label' => esc_html__('Content Style', 'daltech-core'),
		'tab' => \Elementor\Controls_Manager::TAB_STYLE,
	]
);

$this->add_control(
	'section_title_option',
	[
		'label' => esc_html__('Title Options', 'daltech-core'),
		'type' => \Elementor\Controls_Manager::HEADING,
		'separator' => 'before',
		'condition' => [
			'style' => ['1', '2', '3', '4'],
		],
	]
);
$this->add_control(
	'section_title_color',
	[
		'label' => esc_html__('Title Color', 'daltech-core'),
		'type' => \Elementor\Controls_Manager::COLOR,
		'selectors' => [
			'{{WRAPPER}} .banner-style-one h2,{{WRAPPER}} .hero-2 .hero-content h1,{{WRAPPER}} .hero-3 .slide-bg .hero-content h1,{{WRAPPER}} .hero-4 .hero-content h1' => 'color: {{VALUE}}',
		],
		'condition' => [
			'style' => ['1', '2', '3', '4'],
		],
	]
);

$this->add_group_control(
	\Elementor\Group_Control_Typography::get_type(),
	[
		'name' => 'section_title_typography',
		'label' => esc_html__('Title Typography', 'daltech-core'),
		'selector' => '{{WRAPPER}} .banner-style-one h2,{{WRAPPER}} .hero-2 .hero-content h1,{{WRAPPER}} .hero-3 .slide-bg .hero-content h1,{{WRAPPER}} .hero-4 .hero-content h1',
		'condition' => [
			'style' => ['1', '2', '3', '4'],
		],
	]
);

$this->add_control(
	'section_subtitle_option',
	[
		'label' => esc_html__('Sub-Title Options', 'daltech-core'),
		'type' => \Elementor\Controls_Manager::HEADING,
		'separator' => 'before',
		'condition' => [
			'style' => ['1', '2', '3', '4'],
		],
	]
);

$this->add_control(
	'section_subtitle_color',
	[
		'label' => esc_html__('Subtitle Color', 'daltech-core'),
		'type' => \Elementor\Controls_Manager::COLOR,
		'selectors' => [
			'{{WRAPPER}} .banner-style-one h4,{{WRAPPER}} .hero-2 .hero-content h5,{{WRAPPER}} .hero-3 .slide-bg .hero-content h4,{{WRAPPER}} .hero-4 .hero-content .head-title' => 'color: {{VALUE}}',
		],
		'condition' => [
			'style' => ['1', '2', '3', '4'],
		],
	]
);

$this->add_group_control(
	\Elementor\Group_Control_Typography::get_type(),
	[
		'name' => 'section_subtitle_typography',
		'label' => esc_html__('Subtitle Typography', 'daltech-core'),
		'selector' => '{{WRAPPER}} .banner-style-one h4,{{WRAPPER}} .hero-2 .hero-content h5,{{WRAPPER}} .hero-3 .slide-bg .hero-content h4,{{WRAPPER}} .hero-4 .hero-content .head-title',
		'condition' => [
			'style' => ['1', '2', '3', '4'],
		],
	]
);

$this->add_control(
	'section_summary_option',
	[
		'label' => esc_html__('Summary Options', 'daltech-core'),
		'type' => \Elementor\Controls_Manager::HEADING,
		'separator' => 'before',
		'condition' => [
			'style' => ['2', '4'],
		],
	]
);

$this->add_control(
	'section_summary_color',
	[
		'label' => esc_html__('Summary Color', 'daltech-core'),
		'type' => \Elementor\Controls_Manager::COLOR,
		'selectors' => [
			'{{WRAPPER}} .hero-content p,{{WRAPPER}} .hero-4 .hero-content h6' => 'color: {{VALUE}}',
		],
		'condition' => [
			'style' => ['2', '4'],
		],
	]
);

$this->add_group_control(
	\Elementor\Group_Control_Typography::get_type(),
	[
		'name' => 'section_summary_typography',
		'label' => esc_html__('Summary Typography', 'daltech-core'),
		'selector' => '{{WRAPPER}} .hero-content p,{{WRAPPER}} .hero-4 .hero-content h6',
		'condition' => [
			'style' => ['2', '4'],
		],
	]
);

$this->add_control(
	'section_button_option',
	[
		'label' => esc_html__('Button Options', 'daltech-core'),
		'type' => \Elementor\Controls_Manager::HEADING,
		'separator' => 'before',
		'condition' => [
			'style' => ['1', '2', '3', '4'],
		],
	]
);
$this->add_control(
	'section_button_color',
	[
		'label' => esc_html__('Button Color', 'daltech-core'),
		'type' => \Elementor\Controls_Manager::COLOR,
		'selectors' => [
			'{{WRAPPER}} .theme-btn' => 'color: {{VALUE}}',
		],
		'condition' => [
			'style' => ['1', '2', '3', '4'],
		],
	]
);

$this->add_control(
	'section_button_bg_color',
	[
		'label' => esc_html__('Button Background Color', 'daltech-core'),
		'type' => \Elementor\Controls_Manager::COLOR,
		'selectors' => [
			'{{WRAPPER}} .theme-btn' => 'background-color: {{VALUE}}',
		],
		'condition' => [
			'style' => ['1', '2', '3', '4'],
		],
	]
);

$this->add_control(
	'section_button_hover_bg_color',
	[
		'label' => esc_html__('Button Hover Background Color', 'daltech-core'),
		'type' => \Elementor\Controls_Manager::COLOR,
		'selectors' => [
			'{{WRAPPER}} .theme-btn::after,{{WRAPPER}} .theme-btn::before' => 'background-color: {{VALUE}}',
		],
		'condition' => [
			'style' => ['1', '2', '3', '4'],
		],
	]
);

$this->add_group_control(
	\Elementor\Group_Control_Typography::get_type(),
	[
		'name' => 'section_button_typography',
		'label' => esc_html__('Button Typography', 'daltech-core'),
		'selector' => '{{WRAPPER}} .theme-btn',
		'condition' => [
			'style' => ['1', '2', '3', '4'],
		],
	]
);

$this->end_controls_section();
