<?php

$this->start_controls_section(
    'content_style_option',
    [
        'label' => esc_html__('Content Style', 'daltech-core'),
        'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    ]
);

$this->add_control(
    'section_title_option',
    [
        'label' => esc_html__('Section Title Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['1']
        ],
    ]
);

$this->add_control(
    'section_title_color',
    [
        'label' => esc_html__('Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .team-skill-wrapper .team-skill-content h3' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['1']
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'section_title_typography',
        'label' => esc_html__('Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .team-skill-wrapper .team-skill-content h3',
        'condition' => [
            'style' => ['1']
        ],
    ]
);

$this->add_control(
    'progress_title_option',
    [
        'label' => esc_html__('Section Sub-Title Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['1']
        ],
    ]
);

$this->add_control(
    'progress_title_color',
    [
        'label' => esc_html__('Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .team-skill-wrapper .progress-wrap .pro-items .pro-head .title' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['1']
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'progress_title_typography',
        'label' => esc_html__('Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .team-skill-wrapper .progress-wrap .pro-items .pro-head .title',
        'condition' => [
            'style' => ['1']
        ],
    ]
);

$this->end_controls_section();
