<?php

$this->start_controls_section(
    'content_style_option',
    [
        'label' => esc_html__('Content Style', 'daltech-core'),
        'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    ]
);

$this->add_control(
    'section_title_option',
    [
        'label' => esc_html__('Title Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['1', '2', '3', '4'],
        ],
    ]
);

$this->add_control(
    'section_title_color',
    [
        'label' => esc_html__('Title Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .section-title h2' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['1', '2', '3', '4'],
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'section_title_typography',
        'label' => esc_html__('Title Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .section-title h2',
        'condition' => [
            'style' => ['1', '2', '3', '4'],
        ],
    ]
);

$this->add_control(
    'section_subtitle_option',
    [
        'label' => esc_html__('Sub-Title Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['1', '2', '3', '4'],
        ],
    ]
);

$this->add_control(
    'section_subtitle_color',
    [
        'label' => esc_html__('Subtitle Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .section-title span' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['1', '2', '3', '4'],
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'section_subtitle_typography',
        'label' => esc_html__('Subtitle Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .section-title span',
        'condition' => [
            'style' => ['1', '2', '3', '4'],
        ],
    ]
);


$this->add_control(
    'testimonial_name_option',
    [
        'label' => esc_html__('Testimonial Name Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['1', '2', '3', '4'],
        ],
    ]
);

$this->add_control(
    'testimonial_name_color',
    [
        'label' => esc_html__('Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .Testimonial-content a,{{WRAPPER}} .author-name h6,{{WRAPPER}} .athor-name h4,{{WRAPPER}} .client-info h3,{{WRAPPER}} .testimonial-wrapper-4 .testimonial-items .client-info h6' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['1', '2', '3', '4'],
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'testimonial_name_typography',
        'label' => esc_html__('Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .Testimonial-content a,{{WRAPPER}} .author-name h6,{{WRAPPER}} .athor-name h4,{{WRAPPER}} .client-info h3,{{WRAPPER}} .testimonial-wrapper-4 .testimonial-items .client-info h6',
        'condition' => [
            'style' => ['1', '2', '3', '4'],
        ],
    ]
);

$this->add_control(
    'testimonial_designation_option',
    [
        'label' => esc_html__('Testimonial Designation Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['1', '2', '3', '4', '5'],
        ],
    ]
);

$this->add_control(
    'testimonial_designation_color',
    [
        'label' => esc_html__('Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .single-Testimonial-items .Testimonial-content p,{{WRAPPER}} .author-name h6,{{WRAPPER}} .athor-name p,{{WRAPPER}} .client-info p,{{WRAPPER}} .testimonial-wrapper-4 .testimonial-items .client-info h5' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['1', '2', '3', '4', '5'],
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'testimonial_designation_typography',
        'label' => esc_html__('Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .single-Testimonial-items .Testimonial-content p,{{WRAPPER}} .author-name h6,{{WRAPPER}} .athor-name p,{{WRAPPER}} .client-info p,{{WRAPPER}} .testimonial-wrapper-4 .testimonial-items .client-info h5',
        'condition' => [
            'style' => ['1', '2', '3', '4', '5'],
        ],
    ]
);

$this->add_control(
    'testimonial_summary_option',
    [
        'label' => esc_html__('Testimonial summary Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['1', '2', '3', '4', '5'],
        ],
    ]
);

$this->add_control(
    'testimonial_summary_color',
    [
        'label' => esc_html__('Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .testimonial-card-items p,{{WRAPPER}} .testimonial-content p,{{WRAPPER}} .testimonial-content h3,{{WRAPPER}} .single-testimonial-items-2 .text,{{WRAPPER}} .testimonial-content h3' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['1', '2', '3', '4', '5'],
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'testimonial_summary_typography',
        'label' => esc_html__('Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .testimonial-card-items p,{{WRAPPER}} .testimonial-content p,{{WRAPPER}} .testimonial-content h3,{{WRAPPER}} .single-testimonial-items-2 .text,{{WRAPPER}} .testimonial-content h3',
        'condition' => [
            'style' => ['1', '2', '3', '4', '5'],
        ],
    ]
);

$this->end_controls_section();
