<?php

$this->start_controls_section(
    'content_style_option',
    [
        'label' => esc_html__('Content Style', 'daltech-core'),
        'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    ]
);

$this->add_control(
    'title_option',
    [
        'label' => esc_html__('Title Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['1', '2', '3', '4'],
        ],
    ]
);

$this->add_control(
    'title_color',
    [
        'label' => esc_html__('Title Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .marquee-item.style-2 .text-slider,{{WRAPPER}} .marquee-item.style-3 .text-slider,{{WRAPPER}} .marquee-item.style-2 .text-slider' => 'color: {{VALUE}} !important',
        ],
        'condition' => [
            'style' => ['1', '2', '3', '4'],
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'title_typography',
        'label' => esc_html__('Title Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .marquee-item.style-2 .text-slider,{{WRAPPER}} .marquee-item.style-3 .text-slider,{{WRAPPER}} .marquee-item.style-2 .text-slider',
        'condition' => [
            'style' => ['1', '2', '3', '4'],
        ],
    ]
);

$this->end_controls_section();
