<?php

$this->start_controls_section(
    'content_style_option',
    [
        'label' => esc_html__('Content Style', 'daltech-core'),
        'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    ]
);

$this->add_control(
    'info_title_option',
    [
        'label' => esc_html__('Info Title Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['1', '2', '3']
        ],
    ]
);

$this->add_control(
    'info_title_color',
    [
        'label' => esc_html__('Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .header-top-wrapper .contact-list li a,{{WRAPPER}} .header-top-wrapper .contact-list li,{{WRAPPER}} .header-top-wrapper.style-2 .contact-list li,{{WRAPPER}} .header-top-wrapper.style-3 .top-left .contact-list li' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['1', '2', '3']
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'info_title_typography',
        'label' => esc_html__('Title Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .header-top-wrapper .contact-list li a,{{WRAPPER}} .header-top-wrapper .contact-list li,{{WRAPPER}} .header-top-wrapper.style-2 .contact-list li,{{WRAPPER}} .header-top-wrapper.style-3 .top-left .contact-list li',
        'condition' => [
            'style' => ['1', '2', '3']
        ],
    ]
);

$this->add_control(
    'menu_title_option',
    [
        'label' => esc_html__('Menu Title Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['1', '2']
        ],
    ]
);

$this->add_control(
    'menu_title_color',
    [
        'label' => esc_html__('Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .header-top-wrapper .top-right .header-menu li a,{{WRAPPER}} .header-top-wrapper.style-2 .top-right .header-menu li a' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['1', '2']
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'menu_title_typography',
        'label' => esc_html__('Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .header-top-wrapper .top-right .header-menu li a,{{WRAPPER}} .header-top-wrapper.style-2 .top-right .header-menu li a',
        'condition' => [
            'style' => ['1', '2']
        ],
    ]
);

$this->end_controls_section();
