<?php

$this->start_controls_section(
    'content_style_option',
    [
        'label' => esc_html__('Content Style', 'daltech-core'),
        'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    ]
);

$this->add_control(
    'section_title_option',
    [
        'label' => esc_html__('Section Title Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['1'],
        ],
    ]
);

$this->add_control(
    'section_title_color',
    [
        'label' => esc_html__('Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .section-title h2' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['1'],
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'section_title_typography',
        'label' => esc_html__('Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .section-title h2',
        'condition' => [
            'style' => ['1'],
        ],
    ]
);

$this->add_control(
    'section_subtitle_option',
    [
        'label' => esc_html__('Section Sub-Title Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['1'],
        ],
    ]
);

$this->add_control(
    'section_subtitle_color',
    [
        'label' => esc_html__('Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .section-title span' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['1'],
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'section_subtitle_typography',
        'label' => esc_html__('Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .section-title span',
        'condition' => [
            'style' => ['1'],
        ],
    ]
);

$this->add_control(
    'process_title_option',
    [
        'label' => esc_html__('Work Process Title Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['1'],
        ],
    ]
);

$this->add_control(
    'process_title_color',
    [
        'label' => esc_html__('Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .process-items .content h3' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['1'],
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'process_title_typography',
        'label' => esc_html__('Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .process-items .content h3',
        'condition' => [
            'style' => ['1'],
        ],
    ]
);

$this->add_control(
    'cta_title_option',
    [
        'label' => esc_html__('CTA Title Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['1'],
        ],
    ]
);

$this->add_control(
    'cta_title_color',
    [
        'label' => esc_html__('Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .cta-banner-2 .cta-items .content h6' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['1'],
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'cta_title_typography',
        'label' => esc_html__('Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .cta-banner-2 .cta-items .content h6',
        'condition' => [
            'style' => ['1'],
        ],
    ]
);


$this->add_control(
    'cta_subtitle_option',
    [
        'label' => esc_html__('CTA Sub Title Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['1'],
        ],
    ]
);

$this->add_control(
    'cta_subtitle_color',
    [
        'label' => esc_html__('Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .cta-banner-2 .cta-items .content p' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['1'],
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'cta_subtitle_typography',
        'label' => esc_html__('Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .cta-banner-2 .cta-items .content p',
        'condition' => [
            'style' => ['1'],
        ],
    ]
);


$this->add_control(
    'section_button_option',
    [
        'label' => esc_html__('Button Options', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::HEADING,
        'separator' => 'before',
        'condition' => [
            'style' => ['1'],
        ],
    ]
);
$this->add_control(
    'section_button_color',
    [
        'label' => esc_html__('Button Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .theme-btn' => 'color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['1'],
        ],
    ]
);

$this->add_control(
    'section_button_bg_color',
    [
        'label' => esc_html__('Button Background Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .theme-btn' => 'background-color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['1'],
        ],
    ]
);

$this->add_control(
    'section_button_hover_bg_color',
    [
        'label' => esc_html__('Button Background Color', 'daltech-core'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
            '{{WRAPPER}} .theme-btn::after,{{WRAPPER}} .theme-btn::before' => 'background-color: {{VALUE}}',
        ],
        'condition' => [
            'style' => ['1'],
        ],
    ]
);

$this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
        'name' => 'section_button_typography',
        'label' => esc_html__('Button Typography', 'daltech-core'),
        'selector' => '{{WRAPPER}} .theme-btn',
        'condition' => [
            'style' => ['1'],
        ],
    ]
);


$this->end_controls_section();
