<?php

// Blocking direct access
if (!defined('ABSPATH')) {
    exit();
}

/**
 * Plugin Name: Daltech Core
 * Description: This is a helper plugin of daltech theme
 * Version:     1.0
 * Author:      Validthemes
 * Author URI:  https://themeforest.net/user/validthemes/portfolio
 * License:     GPL2
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 * Domain Path: /languages
 * Text Domain: daltech
 */

// Define Constant
define('DALTECH_PLUGIN_PATH', plugin_dir_path(__FILE__));
define('DALTECH_PLUGIN_INC_PATH', plugin_dir_path(__FILE__) . 'inc/');
define('DALTECH_PLUGIN_CMB2EXT_PATH', plugin_dir_path(__FILE__) . 'cmb2-ext/');
define('DALTECH_PLUGIN_WIDGET_PATH', plugin_dir_path(__FILE__) . 'inc/widgets/');
define('DALTECH_PLUGDIRURI', plugin_dir_url(__FILE__));
define('DALTECH_ADDONS', plugin_dir_path(__FILE__) . 'addons/');
define('DALTECH_CORE_PLUGIN_TEMP', plugin_dir_path(__FILE__) . 'daltech-template/');
define('DALTECH_PLUGIN_WIDGET_STYLE_PATH', plugin_dir_path(__FILE__) . 'addons/widgets/style/');

// load textdomain
load_plugin_textdomain('daltech-core', false, basename(dirname(__FILE__)) . '/languages');

//include file.
require_once DALTECH_PLUGIN_INC_PATH . 'datechcore-functions.php';
require_once DALTECH_PLUGIN_INC_PATH . 'MCAPI.class.php';
require_once DALTECH_PLUGIN_INC_PATH . 'daltechajax.php';
require_once DALTECH_PLUGIN_INC_PATH . 'builder/builder.php';
require_once DALTECH_PLUGIN_INC_PATH . 'daltech-icons.php';

// require_once DALTECH_PLUGIN_CMB2EXT_PATH . 'cmb2ext-init.php';

//Widget
require_once DALTECH_PLUGIN_WIDGET_PATH . 'daltech-recent-post-widget.php';
require_once DALTECH_PLUGIN_WIDGET_PATH . 'daltech-blog-categories.php';
require_once DALTECH_PLUGIN_WIDGET_PATH . 'daltech-social-media.php';

//addons
require_once DALTECH_ADDONS . 'addons.php';

// Register widget styles
add_action('elementor/editor/before_enqueue_styles', 'widget_styles');


function widget_styles()
{

    wp_register_style('editor-style-1', plugins_url('assets/css/editor.css', __FILE__));
    wp_enqueue_style('editor-style-1');
}
